libetonyek::IWORKMemoryStream Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKMemoryStream Class Reference

`#include <IWORKMemoryStream.h>`

Inheritance diagram for libetonyek::IWORKMemoryStream:

## Public Member Functions
| IWORKMemoryStream (const RVNGInputStreamPtr_t &input)
| IWORKMemoryStream (const RVNGInputStreamPtr_t &input, unsigned length)
| IWORKMemoryStream (const std::vector< unsigned char > &data)
| IWORKMemoryStream (const unsigned char *data, unsigned length)
| ~IWORKMemoryStream ()
bool | isStructured ()
unsigned | subStreamCount ()
const char * | subStreamName (unsigned id)
bool | existsSubStream (const char *)
librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
librevenge::RVNGInputStream * | getSubStreamById (unsigned id)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
long | tell ()
bool | isEnd ()

## Private Member Functions
| IWORKMemoryStream (const IWORKMemoryStream &other)
IWORKMemoryStream & | operator= (const IWORKMemoryStream &other)
void | assign (const unsigned char *data, unsigned length)
void | read (const RVNGInputStreamPtr_t &input, unsigned length)

## Private Attributes
const unsigned char * | m_data
long | m_length
long | m_pos

## Constructor & Destructor Documentation

libetonyek::IWORKMemoryStream::IWORKMemoryStream | ( | const IWORKMemoryStream & | other | ) |
| private

libetonyek::IWORKMemoryStream::IWORKMemoryStream | ( | const RVNGInputStreamPtr_t & | input | ) |
| explicit

libetonyek::IWORKMemoryStream::IWORKMemoryStream | ( | const RVNGInputStreamPtr_t & | input,
|  | unsigned | length
| ) |  |

libetonyek::IWORKMemoryStream::IWORKMemoryStream | ( | const std::vector< unsigned char > & | data | ) |
| explicit

libetonyek::IWORKMemoryStream::IWORKMemoryStream | ( | const unsigned char * | data,
|  | unsigned | length
| ) |  |

libetonyek::IWORKMemoryStream::~IWORKMemoryStream | ( |  | ) |

## Member Function Documentation

void libetonyek::IWORKMemoryStream::assign | ( | const unsigned char * | data,
|  | unsigned | length
| ) |  |
| private

Referenced by existsSubStream(), IWORKMemoryStream(), and read().

bool libetonyek::IWORKMemoryStream::existsSubStream | ( | const char * |  | ) |
| inline

librevenge::RVNGInputStream * libetonyek::IWORKMemoryStream::getSubStreamById | ( | unsigned | id | ) |

Referenced by existsSubStream().

librevenge::RVNGInputStream * libetonyek::IWORKMemoryStream::getSubStreamByName | ( | const char * | name | ) |

Referenced by existsSubStream().

bool libetonyek::IWORKMemoryStream::isEnd | ( |  | ) |

Referenced by existsSubStream().

bool libetonyek::IWORKMemoryStream::isStructured | ( |  | ) |

IWORKMemoryStream& libetonyek::IWORKMemoryStream::operator= | ( | const IWORKMemoryStream & | other | ) |
| private

const unsigned char * libetonyek::IWORKMemoryStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

Referenced by existsSubStream(), and IWORKMemoryStream().

void libetonyek::IWORKMemoryStream::read | ( | const RVNGInputStreamPtr_t & | input,
|  | unsigned | length
| ) |  |
| private

int libetonyek::IWORKMemoryStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |

Referenced by existsSubStream().

unsigned libetonyek::IWORKMemoryStream::subStreamCount | ( |  | ) |

const char * libetonyek::IWORKMemoryStream::subStreamName | ( | unsigned | id | ) |

long libetonyek::IWORKMemoryStream::tell | ( |  | ) |

Referenced by existsSubStream().

## Member Data Documentation

const unsigned char* libetonyek::IWORKMemoryStream::m_data
| private

Referenced by assign(), read(), and ~IWORKMemoryStream().

long libetonyek::IWORKMemoryStream::m_length
| private

Referenced by isEnd(), read(), and seek().

long libetonyek::IWORKMemoryStream::m_pos
| private

Referenced by isEnd(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- IWORKMemoryStream.h
- IWORKMemoryStream.cpp